.alert {
  padding: 15px;
  float: right;
  clear: both;
  margin-bottom: 20px;
  border: 1px solid transparent;
  border-radius: 4px; }
  .alert.success {
    color: #3c763d;
    background-color: #dff0d8;
    border-color: #d6e9c6; }
  .alert.error {
    color: #b30000;
    background-color: #ffc2b3;
    border-color: #ffc2b3; }

.actionsColumnHeader {
  width: 2%; }

.articlesTable .actionsCell a {
  text-decoration: none; }

.articlesTable .actionsCell a:hoover {
  text-decoration: none; }

.editArticleDialog md-input-container {
  margin: 0; }

.ckEditorWrapper {
  border: 1px solid black;
  margin: 5px;
  padding: 5px; }

.editorFullWidth {
  width: calc(100% - 2px); }

.fullwidth {
  width: 100%;
  padding-left: 10px;
  padding-right: 5px; }

.clearBoth {
  clear: both; }

.table-columns-options-menu {
  padding-left: 18px; }

.drop-box {
  background: #F8F8F8;
  border: 5px dashed #DDD;
  width: 200px;
  height: 65px;
  text-align: center;
  padding-top: 25px;
  margin: 10px; }

.invisible {
  display: none; }

.dragover {
  border: 5px dashed blue; }

.notificationArea {
  position: fixed;
  top: 0;
  right: 0;
  z-index: 100; }

.floating-bottom-action-buttons-bar {
  position: fixed;
  bottom: 0;
  right: 0;
  width: 100%;
  height: auto;
  background-color: #F7F7F7; }

.pos-relative {
  position: relative; }

md-virtual-repeat-container {
  width: 800px; }
  md-virtual-repeat-container .md-contact-suggestion {
    width: 100%; }
    md-virtual-repeat-container .md-contact-suggestion .md-contact-name {
      width: 100%; }

.color-preview {
  width: 25px;
  height: 25px;
  border: 1px solid black; }

.gallery-images md-grid-list {
  width: 100%; }

.gallery-images .image-preview {
  width: 100%;
  height: 240px;
  object-fit: cover; }

.gallery-images .md-headline {
  max-height: 64px; }

.preview-image-overriden {
  position: absolute;
  color: #0800ff;
  top: 0px;
  left: 16px;
  background-color: rgba(255, 255, 255, 0.5);
  padding: 2px; }

.preview-image-total-images {
  position: absolute;
  color: #000000;
  top: 0px;
  right: 16px;
  background-color: rgba(255, 255, 255, 0.7);
  padding: 2px; }

.file-drop-box {
  float: left;
  display: flex;
  align-items: center;
  border: 1px dashed black;
  margin-left: 10px;
  background-color: rgba(0, 0, 0, 0.2); }

.plant-image-block-edit .drop-box {
  width: 125px;
  height: 125px;
  float: left;
  display: flex;
  align-items: center;
  padding: 10px; }

.plant-image-block-edit .thumb-container {
  float: left;
  margin: 10px; }

.edit-images-thumbs-holder {
  min-width: 250px;
  min-height: 150px;
  list-style: none; }
  .edit-images-thumbs-holder .dndPlaceholder {
    width: 125px;
    height: 125px;
    background-color: lightgrey;
    border: 1px solid gray;
    float: left;
    margin: 10px; }

.image-preview-count {
  position: absolute;
  top: 0;
  left: 0;
  background-color: yellow;
  padding: 5px;
  margin: 5px;
  opacity: 0.7;
  border: 1px solid black; }

.admin-img-preview {
  width: 100%;
  object-fit: contain;
  max-height: 800px; }

.angular-google-map-container {
  height: 400px; }

/* generated with: http://www.ilikepixels.co.uk/drop/bubbler*/
.numbered-marker-bubble {
  position: relative;
  background: #FFFFFF;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  border-bottom-left-radius: 10px;
  border-bottom-left-radius: 0px;
  border: black solid 1px;
  font-size: 12px;
  box-shadow: 2px 2px 8px rgba(0, 0, 0, 0.5);
  opacity: 0.9; }
  .numbered-marker-bubble .number {
    padding: 10px; }
  .numbered-marker-bubble .bottom-left-corner {
    width: 0;
    height: 0;
    border-bottom: 10px solid black;
    border-right: 10px solid transparent;
    position: absolute;
    bottom: 0;
    left: 0; }

.plant-blocks-edit {
  min-width: 50vw; }
  .plant-blocks-edit .plant-blocks-edit-tab-content {
    min-width: 50vw; }
    .plant-blocks-edit .plant-blocks-edit-tab-content .single-block {
      border: 1px solid #E3E3E3;
      padding-left: 15px;
      padding-right: 15px; }

.sources-block {
  min-width: 50vw; }
  .sources-block .single-block {
    border: 1px solid #E3E3E3;
    padding-left: 15px;
    padding-right: 15px; }

.show-more-block {
  background-color: #FDFFDB; }

.plants-filter-collapsed .search-input {
  margin-bottom: 0;
  height: 40px; }

.table-tag-chip {
  background-color: #e0e0e0;
  padding: 4px;
  margin: 2px 4px 2px 2px;
  border-radius: 30px;
  float: left;
  cursor: pointer; }
  .table-tag-chip .table-tag-chip-delete {
    background-color: #c7c7c7;
    border-radius: 10px;
    margin-left: 0;
    display: inline-block;
    color: black;
    padding: 1px 4px; }

.all-plants-map-print .angular-google-map-container {
  height: 600px;
  width: 90%;
  margin-left: auto;
  margin-right: auto; }

@page {
  size: A4; }

.sideMenu {
  height: calc(100vh - 100px);
  width: 250px; }
  .sideMenu .menuItem span {
    margin-left: 20px; }

.sideMenu-Minimized {
  width: 60px;
  overflow: hidden; }

.yes-no-table-cell .yes {
  color: green;
  font-weight: bold; }

.yes-no-table-cell .no {
  color: red; }

.existing-tag-chip {
  background-color: #7FD663;
  padding: 9px;
  margin-right: 10px;
  border-radius: 30px; }

.thumb-container {
  position: relative;
  widtrh: 150px;
  height: 150px; }
  .thumb-container img {
    position: relative;
    object-fit: cover;
    /* Do not scale the image */
    object-position: center;
    /* Center the image within the element */
    height: 150px;
    width: 150px; }
  .thumb-container .button-delete {
    position: absolute;
    float: right;
    bottom: 15px;
    right: 0; }
  .thumb-container .thumb-time-label {
    position: absolute;
    width: 100%;
    bottom: 0px;
    left: 0;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.5);
    color: #ffffff;
    font-size: 0.9em; }

.dndDraggingSource {
  display: none !important; }

.plant-edit-thumb-container {
  position: relative;
  width: 100%; }

.plant-edit-multi-images-container {
  position: relative; }
  .plant-edit-multi-images-container .image-preview-next-slide {
    position: absolute;
    top: 0;
    right: 0;
    display: flex;
    align-items: center;
    height: 300px;
    min-height: 100%; }
  .plant-edit-multi-images-container .image-preview-prev-slide {
    position: absolute;
    left: 0;
    top: 0;
    display: flex;
    align-items: center;
    height: 300px;
    min-height: 100%; }

.edit-images-thumbs-holder {
  list-style: none; }
  .edit-images-thumbs-holder .thumb-container:first-child {
    border: 5px solid #2196f3; }

.top-toolbar-logo {
  height: 100px; }

.top-toolbar-header {
  padding-top: 20px;
  padding-left: 20px; }
  .top-toolbar-header .top-toolbar-header-title {
    font-size: 32px;
    margin: 0;
    padding: 0;
    font-weight: bold; }
